import pygame, sys, os
from pygame.locals import *

pygame.mixer.init()
import game, intro

pygame.init()


FPS = 60

def main():
    clock = pygame.time.Clock()
#    try:
    pygame.mixer.music.load(os.path.join('sound','music.ogg'))
    pygame.mixer.music.play(-1)
#    except:
#        print "Couldn't open music. Your time on the moon will be even lonelier...."

    try:
        starter = open('progress.dat')
        startlev = int(starter.read())
        starter.close()
    except:
        pass

    #TODO: make a better intro
    startchoice = intro.show_intro()
    startlev = startchoice
    thisgame = game.Game(startlev = startlev)

    finished = False
    while not finished:
        if pygame.key.get_pressed()[K_ESCAPE]:
            pygame.quit()
            sys.exit()
        for event in pygame.event.get():
            if event.type == QUIT:
                pygame.quit()
                sys.exit()
        finished = thisgame.step()
        clock.tick(FPS)

    intro.show_ending()


if __name__ == '__main__':
    main()
